Main Page Widgets Namespaces Book

# Gtk::Notebook_Helpers::PageIterator Class Reference

Inheritance diagram for Gtk::Notebook_Helpers::PageIterator:

[legend]

List of all members.

## Public Types

typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef const Page* | pointer
typedef const Page& | reference
typedef size_t | size_type
typedef Page | value_type

## Public Member Functions

bool | equal (const PageIterator& other) const
| operator bool () const
reference | operator* () const
const PageIterator | operator++ (int)
PageIterator& | operator++ ()
const PageIterator | operator-- (int)
PageIterator& | operator-- ()
pointer | operator-> () const
| PageIterator ()
| PageIterator (Gtk::Notebook* parent, GList* node)

## Protected Attributes

GList* | node_
Gtk::Notebook* | parent_

## Friends

class | Gtk::Notebook_Helpers::Page

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const PageIterator& lhs, const PageIterator& rhs)
bool | operator== (const PageIterator& lhs, const PageIterator& rhs)

## Member Typedef Documentation

typedef ptrdiff_t Gtk::Notebook_Helpers::PageIterator::difference_type

typedef std::bidirectional_iterator_tag Gtk::Notebook_Helpers::PageIterator::iterator_category

typedef const Page* Gtk::Notebook_Helpers::PageIterator::pointer

typedef const Page& Gtk::Notebook_Helpers::PageIterator::reference

typedef size_t Gtk::Notebook_Helpers::PageIterator::size_type

typedef Page Gtk::Notebook_Helpers::PageIterator::value_type

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::PageIterator::PageIterator | ( | Gtk::Notebook* | parent,
|  | GList * | node |
| ) |  |  | `[inline]`

Gtk::Notebook_Helpers::PageIterator::PageIterator | ( |  | ) | `[inline]`

## Member Function Documentation

bool Gtk::Notebook_Helpers::PageIterator::equal | ( | const PageIterator& | other | ) | const

Referenced by operator!=(), and operator==().

Gtk::Notebook_Helpers::PageIterator::operator bool | ( |  | ) | const

reference Gtk::Notebook_Helpers::PageIterator::operator* | ( |  | ) | const`[inline]`

const PageIterator Gtk::Notebook_Helpers::PageIterator::operator++ | ( | int |  | ) |

PageIterator& Gtk::Notebook_Helpers::PageIterator::operator++ | ( |  | ) |

const PageIterator Gtk::Notebook_Helpers::PageIterator::operator-- | ( | int |  | ) |

PageIterator& Gtk::Notebook_Helpers::PageIterator::operator-- | ( |  | ) |

pointer Gtk::Notebook_Helpers::PageIterator::operator-> | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class Gtk::Notebook_Helpers::Page`[friend]`

bool operator!= | ( | const PageIterator& | lhs,
|  | const PageIterator& | rhs |
| ) |  |  | `[related]`

References equal().

bool operator== | ( | const PageIterator& | lhs,
|  | const PageIterator& | rhs |
| ) |  |  | `[related]`

References equal().

## Member Data Documentation

GList* Gtk::Notebook_Helpers::PageIterator::node_`[protected]`

Gtk::Notebook* Gtk::Notebook_Helpers::PageIterator::parent_`[protected]`

The documentation for this class was generated from the following file:

- notebook.h